Package com.omnisci.thrift.server

## Enum TCopyParams._Fields

- java.lang.Object
- - java.lang.Enum<TCopyParams._Fields>
  - - com.omnisci.thrift.server.TCopyParams._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TCopyParams._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TCopyParams

    public static enum TCopyParams._Fields
    extends Enum<TCopyParams._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`ADD_METADATA_COLUMNS`
`ARRAY_BEGIN`
`ARRAY_DELIM`
`ARRAY_END`
`DELIMITER`
`ESCAPE`
`FILE_TYPE`
`GEO_ASSIGN_RENDER_GROUPS`
`GEO_COORDS_COMP_PARAM`
`GEO_COORDS_ENCODING`
`GEO_COORDS_SRID`
`GEO_COORDS_TYPE`
`GEO_EXPLODE_COLLECTIONS`
`GEO_LAYER_NAME`
`HAS_HEADER`
`LINE_DELIM`
`NULL_STR`
`ODBC_CONNECTION_STRING`
`ODBC_CREDENTIAL_STRING`
`ODBC_DSN`
`ODBC_PASSWORD`
`ODBC_SQL_SELECT`
`ODBC_USERNAME`
`QUOTE`
`QUOTED`
`RASTER_IMPORT_BANDS`
`RASTER_IMPORT_DIMENSIONS`
`RASTER_POINT_COMPUTE_ANGLE`
`RASTER_POINT_TRANSFORM`
`RASTER_POINT_TYPE`
`RASTER_SCANLINES_PER_THREAD`
`S3_ACCESS_KEY`
`S3_ENDPOINT`
`S3_REGION`
`S3_SECRET_KEY`
`S3_SESSION_TOKEN`
`SANITIZE_COLUMN_NAMES`
`SOURCE_SRID`
`SOURCE_TYPE`
`THREADS`
`USE_SOURCE_TYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TCopyParams._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TCopyParams._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TCopyParams._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TCopyParams._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TCopyParams._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DELIMITER

    public static final TCopyParams._Fields DELIMITER

#### NULL_STR

    public static final TCopyParams._Fields NULL_STR

#### HAS_HEADER

    public static final TCopyParams._Fields HAS_HEADER

See Also:
  `TImportHeaderRow`

#### QUOTED

    public static final TCopyParams._Fields QUOTED

#### QUOTE

    public static final TCopyParams._Fields QUOTE

#### ESCAPE

    public static final TCopyParams._Fields ESCAPE

#### LINE_DELIM

    public static final TCopyParams._Fields LINE_DELIM

#### ARRAY_DELIM

    public static final TCopyParams._Fields ARRAY_DELIM

#### ARRAY_BEGIN

    public static final TCopyParams._Fields ARRAY_BEGIN

#### ARRAY_END

    public static final TCopyParams._Fields ARRAY_END

#### THREADS

    public static final TCopyParams._Fields THREADS

#### FILE_TYPE

    public static final TCopyParams._Fields FILE_TYPE

See Also:
  `TFileType`

#### S3_ACCESS_KEY

    public static final TCopyParams._Fields S3_ACCESS_KEY

#### S3_SECRET_KEY

    public static final TCopyParams._Fields S3_SECRET_KEY

#### S3_REGION

    public static final TCopyParams._Fields S3_REGION

#### GEO_COORDS_ENCODING

    public static final TCopyParams._Fields GEO_COORDS_ENCODING

See Also:
  `TEncodingType`

#### GEO_COORDS_COMP_PARAM

    public static final TCopyParams._Fields GEO_COORDS_COMP_PARAM

#### GEO_COORDS_TYPE

    public static final TCopyParams._Fields GEO_COORDS_TYPE

See Also:
  `TDatumType`

#### GEO_COORDS_SRID

    public static final TCopyParams._Fields GEO_COORDS_SRID

#### SANITIZE_COLUMN_NAMES

    public static final TCopyParams._Fields SANITIZE_COLUMN_NAMES

#### GEO_LAYER_NAME

    public static final TCopyParams._Fields GEO_LAYER_NAME

#### S3_ENDPOINT

    public static final TCopyParams._Fields S3_ENDPOINT

#### GEO_ASSIGN_RENDER_GROUPS

    public static final TCopyParams._Fields GEO_ASSIGN_RENDER_GROUPS

#### GEO_EXPLODE_COLLECTIONS

    public static final TCopyParams._Fields GEO_EXPLODE_COLLECTIONS

#### SOURCE_SRID

    public static final TCopyParams._Fields SOURCE_SRID

#### S3_SESSION_TOKEN

    public static final TCopyParams._Fields S3_SESSION_TOKEN

#### RASTER_POINT_TYPE

    public static final TCopyParams._Fields RASTER_POINT_TYPE

See Also:
  `TRasterPointType`

#### RASTER_IMPORT_BANDS

    public static final TCopyParams._Fields RASTER_IMPORT_BANDS

#### RASTER_SCANLINES_PER_THREAD

    public static final TCopyParams._Fields RASTER_SCANLINES_PER_THREAD

#### RASTER_POINT_TRANSFORM

    public static final TCopyParams._Fields RASTER_POINT_TRANSFORM

See Also:
  `TRasterPointTransform`

#### RASTER_POINT_COMPUTE_ANGLE

    public static final TCopyParams._Fields RASTER_POINT_COMPUTE_ANGLE

#### RASTER_IMPORT_DIMENSIONS

    public static final TCopyParams._Fields RASTER_IMPORT_DIMENSIONS

#### USE_SOURCE_TYPE

    public static final TCopyParams._Fields USE_SOURCE_TYPE

#### SOURCE_TYPE

    public static final TCopyParams._Fields SOURCE_TYPE

See Also:
  `TSourceType`

#### ODBC_DSN

    public static final TCopyParams._Fields ODBC_DSN

#### ODBC_CONNECTION_STRING

    public static final TCopyParams._Fields ODBC_CONNECTION_STRING

#### ODBC_SQL_SELECT

    public static final TCopyParams._Fields ODBC_SQL_SELECT

#### ODBC_USERNAME

    public static final TCopyParams._Fields ODBC_USERNAME

#### ODBC_PASSWORD

    public static final TCopyParams._Fields ODBC_PASSWORD

#### ODBC_CREDENTIAL_STRING

    public static final TCopyParams._Fields ODBC_CREDENTIAL_STRING

#### ADD_METADATA_COLUMNS

    public static final TCopyParams._Fields ADD_METADATA_COLUMNS

### Method Detail

#### values

    public static TCopyParams._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TCopyParams._Fields c : TCopyParams._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TCopyParams._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TCopyParams._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TCopyParams._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TCopyParams._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`